Subject: Re: bug#55895: [PATCH] maint: Fix ptr_align signature to silence -Wmaybe-uninitialized

From: Paul Eggert <[email-masked]>
Date: Sat, 11 Jun 2022 17:14:47 -0700

On 6/11/22 14:18, Anders Kaseorg wrote:

> if you align the mutable pointer, you don’t need to separately align a const pointer.

Of course one can alter code by aligning a mutable pointer first and 
then converting it to a const pointer, instead of first converting it to 
const and then aligning the result. But that might not be convenient. 
The part of the code that needs alignment might have access to only the 
const pointer, and should be able to align the const pointer on its own 
without bothering the part of the code that doesn't need alignment.

Anyway, we're getting a long way from the original bug report. I'll let 
you have the last word on this tangential topic, if you like.